org.apache.xmlgraphics.java2d

## Interface TextHandler

- All Known Subinterfaces:
    PSTextHandler
  All Known Implementing Classes:
    StrokingTextHandler

      public interface TextHandler

  Interface which the Graphics2D class delegates text painting to.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawString(java.awt.Graphics2D g2d, java.lang.String text, float x, float y)` Draw some text.

- - ### Method Detail

    - #### drawString

          void drawString(java.awt.Graphics2D g2d,
                          java.lang.String text,
                          float x,
                          float y)
                   throws java.io.IOException

      Draw some text.
      Parameters:
        `g2d` - the graphics 2D implementation
        `text` - the text to paint
        `x` - the x-coordinate where the `String` should be rendered
        `y` - the y-coordinate where the `String` should be rendered
      Throws:
        `java.io.IOException` - In case of an I/O error

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.